#ifndef _ESP_BOOT_OTA_FR_H_
#define _ESP_BOOT_OTA_FR_H_

#define S_START_APP               "esp_restart_log_ota (version %d.%d.%d)"
#define S_WAIT_AUTOCONNECT        "Attente de 5 seconde pour autoconnection du Wi-FI"
#define S_NET_SSID_NOT_DEFINED    "SSID du réseau non défini"
#define S_ALREADY_CONNECTED       "Déjà connecté à %s"
#define S_UNABLE_TO_SET_WIFI_STA  "Ne peut démarrer le mode station"
#define S_ATTEMPT_CONNECT         "Tentative de connexion au réseau %s"
#define S_CONNECTED_WIFI          "Connection au réseau Wi-Fi %s"
#define S_NET_NOT_FOUND           "Réseau %s introuvable"
#define S_BAD_PASSWORD            "Mot de passe incorrect"
#define S_NET_CONNECT_TIMEOUT     "Temps de connexion au réseau expiré"
#define S_DISCONNECT_WIFI         "Déconnecté du réseau %s"
#define S_WIFI_NOT_CONNECTED      "Wi-Fi non connecté"
#define S_LOOK_AT_RESTART_REASON  "Vérification de la raison du démarrage du ESP"

#define S_HTTP_UPDATE_FAILED      "La mise à jour sans fil a échouée. Erreur (%d): %s"
#define S_HTTP_UPDATE_NO_UPDATES  "La mise à jour sans fil a échouée. Erreur: pas de mise à jour"
#define S_HTTP_UPDATE_OK          "La mise à jour sans fil réussie"
#define S_ATTEMPT_OTA             "Tentative de mise à jour sans fil"
#define S_NO_OTA_URL              "URL du micrologiciel n'est pas définie"
#define S_NO_OTA_SSID             "Aucun réseau Wi-Fi spécifié pour la mise à jour sans fil"
#define S_OTA_UNKNOWN_STATE       "Résultat de la mise à jour sans fil indéterminé" 
#define S_RESTARTING_ESP          "Redémarrage de l'ESP..."

#define S_HARDWARE_WD             "Le chien de garde matériel a expiré"
#define S_EXCEPTION_OCCURED       "L'exception logicielle %d s'est produite"
#define S_SOFTWARE_WD             "Le chien de garde logiciel a expiré"

#define S_SETUP_DONE              "setup () terminé"

#define S_WIFI_SSID_IP            "Wi-Fi connecté: SSID: %s, IP: %s"

#define S_TESTING_WITH_WD         "Test avec expiration du chien de garde"

static const char* stopUartModeString[3] = {
  "Ce croquis vient d'être téléchargé sur l'UART.",
  "L'ESP sera geler au premier redémarrage.",
  "Appuyez sur le bouton de réinitialisation ou éteignez puis rallumez l'appareil maintenant!"
};

#endif
