#ifndef _ESP_BOOT_OTA_EN_H_
#define _ESP_BOOT_OTA_EN_H_


#define S_START_APP               "esp_restart_log_ota (version %d.%d.%d)"
#define S_WAIT_AUTOCONNECT        "Waiting 5 seconds for WI-FI autoconnection"
#define S_NET_SSID_NOT_DEFINED    "Network SSID not defined"
#define S_ALREADY_CONNECTED       "Already connected to %s\n"
#define S_UNABLE_TO_SET_WIFI_STA  "Unable to set WiFi in station mode"
#define S_ATTEMPT_CONNECT         "Attempting to connect to network %s\n"
#define S_CONNECTED_WIFI          "Connected to WiFi network %s\n"
#define S_NET_NOT_FOUND           "Network %s not found\n"
#define S_BAD_PASSWORD            "Incorrect password"
#define S_NET_CONNECT_TIMEOUT     "Network connection timed out"
#define S_DISCONNECT_WIFI         "Disconnected from network  %s"
#define S_WIFI_NOT_CONNECTED      "WiFi not connected"
#define S_LOOK_AT_RESTART_REASON  "Checking the ESP restart reason"

#define S_HTTP_UPDATE_FAILED      "OTA update failed. Error (%d): %s\n"
#define S_HTTP_UPDATE_NO_UPDATES  "OTA update failed. Error: No updates"
#define S_HTTP_UPDATE_OK          "OTA update successful"
#define S_ATTEMPT_OTA             "Attempting OTA update"
#define S_NO_OTA_URL              "URL for firmware not defined"
#define S_NO_OTA_SSID             "No Wi-Fi network defined for OTA update"
#define S_OTA_UNKNOWN_STATE       "Result of OTA update undetermined" 
#define S_RESTARTING_ESP          "Restarting ESP..."

#define S_HARDWARE_WD             "Hardware watchdog timed out."
#define S_EXCEPTION_OCCURED       "Software exception %d occured.\n"
#define S_SOFTWARE_WD             "Software Watchdog timed out."

#define S_SETUP_DONE              "setup() completed"

#define S_WIFI_SSID_IP            "WiFi connected: SSID: %s, IP: %s\n"

#define S_TESTING_WITH_WD         "Testing with watch dog timeout"

static const char* stopUartModeString[3] = {
  "This sketch has just been uploaded over the UART.",
  "The ESP8266 will freeze on the first restart.",
  "Press the reset button or power device off and on now!"};


#endif
